import { useTranslation } from "react-i18next";
import { View } from "react-native";
import MyResult from "../../Components/Result";
import { MyTextButton } from "../../Components/Button";

// this screen is shown when no devices are connected to the app
export default function NoDevicesConnectedScreen({ navigation }) {
  const { t } = useTranslation();

  // TODO: add ref to faq for help to connect a new device

  return (
    <View style={{ alignItems: "center", margin: 20, gap: 10 }}>
      <MyResult
        text={t("screens.noDevicesConnected.textDescription")}
        iconName={"selection-search"}
      />

      <MyTextButton
        title={t("screens.noDevicesConnected.buttonSearchForNewDevices")}
        actionColor
        onPress={() => navigation.navigate("modalSearchForNewDevices")}
      />
    </View>
  );
}
